Delete Multiple Object Record Attachments
Delete object record attachments in bulk with a JSON or CSV input file. You can only delete the latest version of an attachment.
- The maximum input file size is 1GB.
- The values in the input must be UTF-8 encoded.
- CSVs must follow the standard format
. - The maximum batch size is 500.
DELETE
/api/{version}/vobjects/{object_name}/attachments/batchHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/json or text/csv |
Accept | application/json (default) or application/xml |
Body Parameters
Section link for Body ParametersPrepare a CSV or JSON input file.
Request
Section link for Requestcurl -X DELETE -H "Authorization: {SESSION_ID}" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-d '[
{
"id": "V15000000000305",
"attachment_id": "141"
}
]'
https://myvault.veevavault.com/api/v20.2/vobjects/veterinary_patient__c/attachments/batch